Page MenuHomePhabricator

SyntaxHighlight's VE editor does not open to its largest size when opening a long <source> elements
Closed, ResolvedPublic1 Story Points

Description

If a page contains a long <syntaxhighlight> area, and I try to edit it, the edit box is opened half-screen. If I try to increase/decrease browser zoom, the box is properly resized and works fine afterwards.

Event Timeline

Yurik created this task.Nov 5 2015, 10:47 PM
Yurik updated the task description. (Show Details)
Yurik raised the priority of this task from to Needs Triage.
Yurik added a project: VisualEditor.
Yurik added subscribers: Yurik, Jdforrester-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 5 2015, 10:47 PM

Can you link to an example?

Jdforrester-WMF renamed this task from In VE, a long <source> element does not size properly on open to SyntaxHighlight's VE editor does not open to its largest size when opening a long <source> elements.Nov 10 2015, 8:17 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

Change 253068 had a related patch set uploaded (by Esanders):
AceEditorWidget: Emit resize event at end of cycle

https://gerrit.wikimedia.org/r/253068

Change 253068 merged by jenkins-bot:
AceEditorWidget: Emit resize event at end of cycle

https://gerrit.wikimedia.org/r/253068

Jdforrester-WMF closed this task as Resolved.Nov 16 2015, 5:45 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Freezer to Blocked on the VisualEditor board.Nov 16 2015, 6:51 PM